Package org.eclipse.cdt.utils.coff

# Class PE64.DOSHeader

java.lang.Object
org.eclipse.cdt.utils.coff.PE64.DOSHeader

Enclosing class:
  PE64

public static class PE64.DOSHeader extends Object

## Constructor Summary

Constructors
Constructor
Description
`DOSHeader(byte[] hdr, boolean little)`
`DOSHeader(RandomAccessFile file)`
`DOSHeader(RandomAccessFile file, long offset)`
`DOSHeader(ReadMemoryAccess memory)`

## Method Summary

Modifier and Type
Method
Description
`void`
`commonSetup(ReadMemoryAccess memory)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DOSHeader

public DOSHeader(RandomAccessFile file) throws IOException

Throws:
  `IOException`

### DOSHeader

public DOSHeader(RandomAccessFile file, long offset) throws IOException

Throws:
  `IOException`

### DOSHeader

public DOSHeader(byte[] hdr, boolean little) throws IOException

Throws:
  `IOException`

### DOSHeader

public DOSHeader(ReadMemoryAccess memory) throws IOException

Throws:
  `IOException`

## Method Details

### commonSetup

public void commonSetup(ReadMemoryAccess memory) throws IOException

Throws:
  `IOException`

### toString

public String toString()

Overrides:
  `toString` in class `Object`